<?php

namespace Market\ZodacoBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Informations
 */
class Informations
{
    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $c_id;

    /**
     * @var string
     */
    private $title;

    /**
     * @var string
     */
    private $details;

    /**
     * @var \DateTime
     */
    private $createdAt;

    /**
     * @var \DateTime
     */
    private $updatedAt;

    /**
     * @var \Market\ZodacoBundle\Entity\InformationsCategories
     */
    private $InformationsCategories;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set c_id
     *
     * @param integer $cId
     * @return Informations
     */
    public function setCId($cId)
    {
        $this->c_id = $cId;

        return $this;
    }

    /**
     * Get c_id
     *
     * @return integer 
     */
    public function getCId()
    {
        return $this->c_id;
    }

    /**
     * Set title
     *
     * @param string $title
     * @return Informations
     */
    public function setTitle($title)
    {
        $this->title = $title;

        return $this;
    }

    /**
     * Get title
     *
     * @return string 
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Set details
     *
     * @param string $details
     * @return Informations
     */
    public function setDetails($details)
    {
        $this->details = $details;

        return $this;
    }

    /**
     * Get details
     *
     * @return string 
     */
    public function getDetails()
    {
        return $this->details;
    }

    /**
     * Set createdAt
     *
     * @param \DateTime $createdAt
     * @return Informations
     */
    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    /**
     * Get createdAt
     *
     * @return \DateTime 
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * Set updatedAt
     *
     * @param \DateTime $updatedAt
     * @return Informations
     */
    public function setUpdatedAt($updatedAt)
    {
        $this->updatedAt = $updatedAt;

        return $this;
    }

    /**
     * Get updatedAt
     *
     * @return \DateTime 
     */
    public function getUpdatedAt()
    {
        return $this->updatedAt;
    }

    /**
     * Set InformationsCategories
     *
     * @param \Market\ZodacoBundle\Entity\InformationsCategories $informationsCategories
     * @return Informations
     */
    public function setInformationsCategories(\Market\ZodacoBundle\Entity\InformationsCategories $informationsCategories = null)
    {
        $this->InformationsCategories = $informationsCategories;

        return $this;
    }

    /**
     * Get InformationsCategories
     *
     * @return \Market\ZodacoBundle\Entity\InformationsCategories 
     */
    public function getInformationsCategories()
    {
        return $this->InformationsCategories;
    }
    /**
     * @var string
     */
    private $vn_details;


    /**
     * Set vn_details
     *
     * @param string $vnDetails
     * @return Informations
     */
    public function setVnDetails($vnDetails)
    {
        $this->vn_details = $vnDetails;

        return $this;
    }

    /**
     * Get vn_details
     *
     * @return string 
     */
    public function getVnDetails()
    {
        return $this->vn_details;
    }
}
